---
title: substring
slug: Web/XPath/Functions/substring
tags:
  - XSLT
  - XSLT_Reference
---
<p>{{ XsltRef() }}</p>

<p><br>
 The <code>substring</code> function returns a part of a given string.</p>

<h3 id="Syntax">Syntax</h3>

<pre class="eval">substring(<em>string</em> ,<em>start</em> [,<em>length</em>] )
</pre>

<h3 id="Arguments">Arguments</h3>

<dl>
 <dt><em><code>string</code></em></dt>
 <dd>The string to evaluate.</dd>
</dl>

<dl>
 <dt><em><code>start</code></em></dt>
 <dd>The position within<em><code>string</code></em> the substring begins</dd>
</dl>

<dl>
 <dt><em><code>length</code></em>(optional)</dt>
 <dd>The length of the substring. If omitted, the returned string will contain every character from the<em><code>start</code></em> position to the end of<em><code>string</code></em>.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>A string.</p>

<h3 id="Notes">Notes</h3>

<p>As in other XPath functions, the position is not zero-based. The first character in the string has a position of 1, not 0.</p>

<h3 id="Defined">Defined</h3>

<p><a class="external" href="http://www.w3.org/TR/xpath#function-substring">XPath 1.0 4.2</a></p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
